import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:youmazgestion/Components/appDrawer.dart';
import 'package:youmazgestion/Views/historique.dart';
void main() {
  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({super.key});

  @override
  Widget build(BuildContext context) {
    return GetMaterialApp(
      title: 'Youmaz Gestion',
      theme: ThemeData(
        primarySwatch: Colors.blue,
        visualDensity: VisualDensity.adaptivePlatformDensity,
      ),
      home: const MainLayout(),
      debugShowCheckedModeBanner: false,
    );
  }
}

class MainLayout extends StatefulWidget {
  const MainLayout({super.key});

  @override
  State<MainLayout> createState() => _MainLayoutState();
}

class _MainLayoutState extends State<MainLayout> {
// Index par défaut pour la page de commande


  @override
  Widget build(BuildContext context) {
    return Scaffold(
      drawer:  CustomDrawer(),
      body: const HistoriquePage(),
    );
  }
}
